Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_ConsumerAdmin Class Reference

Implementation of CosNotifyChannelAdmin::ConsumerAdmin. More...

`#include <ConsumerAdmin.h>`

Inheritance diagram for TAO_NS_ConsumerAdmin:

[legend]
Collaboration diagram for TAO_NS_ConsumerAdmin:

[legend]
List of all members.

## Public Methods
| TAO_NS_ConsumerAdmin (void)
| Constuctor. More...
| ~TAO_NS_ConsumerAdmin ()
| Destructor. More...
virtual PortableServer::Servant | servant (void)
| Return servant. More...
virtual void | _add_ref (ACE_ENV_SINGLE_ARG_DECL)
| ServantBase refcount methods. More...
virtual void | _remove_ref (ACE_ENV_SINGLE_ARG_DECL)
virtual void | release (void)
| TAO_NS_Destroy_Callback methods. More...
## Protected Methods
virtual CosNotifyChannelAdmin::AdminID | MyID (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
| = CosNotifyChannelAdmin::ConsumerAdmin methods. More...
virtual::CosNotifyChannelAdmin::EventChannel_ptr | MyChannel (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyChannelAdmin::InterFilterGroupOperator | MyOperator (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyFilter::MappingFilter_ptr | priority_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | priority_filter (CosNotifyFilter::MappingFilter_ptr priority_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyFilter::MappingFilter_ptr | lifetime_filter (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | lifetime_filter (CosNotifyFilter::MappingFilter_ptr lifetime_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyChannelAdmin::ProxyIDSeq * | pull_suppliers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyChannelAdmin::ProxyIDSeq * | push_suppliers (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotifyChannelAdmin::ProxySupplier_ptr | get_proxy_supplier (CosNotifyChannelAdmin::ProxyID proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyChannelAdmin::ProxyNotFound )
virtual::CosNotifyChannelAdmin::ProxySupplier_ptr | obtain_notification_pull_supplier (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )
virtual::CosNotifyChannelAdmin::ProxySupplier_ptr | obtain_notification_push_supplier (CosNotifyChannelAdmin::ClientType ctype, CosNotifyChannelAdmin::ProxyID_out proxy_id ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )
virtual void | destroy (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosNotification::QoSProperties * | get_qos (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
| Get the QoS Properties. More...
virtual void | set_qos (const CosNotification::QoSProperties &qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotification::UnsupportedQoS )
| Set the QoS Properties. More...
virtual void | validate_qos (const CosNotification::QoSProperties &required_qos, CosNotification::NamedPropertyRangeSeq_out available_qos ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotification::UnsupportedQoS )
virtual void | subscription_change (const CosNotification::EventTypeSeq &added, const CosNotification::EventTypeSeq &removed ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyComm::InvalidEventType )
virtual CosNotifyFilter::FilterID | add_filter (CosNotifyFilter::Filter_ptr new_filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyFilter::FilterNotFound )
virtual::CosNotifyFilter::Filter_ptr | get_filter (CosNotifyFilter::FilterID filter ACE_ENV_ARG_DECL) throw ( CORBA::SystemException , CosNotifyFilter::FilterNotFound )
virtual::CosNotifyFilter::FilterIDSeq * | get_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual void | remove_all_filters (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosEventChannelAdmin::ProxyPushSupplier_ptr | obtain_push_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
virtual::CosEventChannelAdmin::ProxyPullSupplier_ptr | obtain_pull_supplier (ACE_ENV_SINGLE_ARG_DECL) throw ( CORBA::SystemException )
## Friends
class | TAO_NS_Builder

## Detailed Description

Implementation of CosNotifyChannelAdmin::ConsumerAdmin.

## Constructor & Destructor Documentation

TAO_NS_ConsumerAdmin::TAO_NS_ConsumerAdmin | ( | void |  | ) |

| Constuctor.

TAO_NS_ConsumerAdmin::~TAO_NS_ConsumerAdmin | ( |  | ) |

| Destructor.

## Member Function Documentation

void TAO_NS_ConsumerAdmin::_add_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| ServantBase refcount methods.

void TAO_NS_ConsumerAdmin::_remove_ref | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

CosNotifyFilter::FilterID TAO_NS_ConsumerAdmin::add_filter | ( | CosNotifyFilter::Filter_ptr new_filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[protected, virtual]`

void TAO_NS_ConsumerAdmin::destroy | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

CosNotifyFilter::FilterIDSeq * TAO_NS_ConsumerAdmin::get_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyFilter::Filter_ptr TAO_NS_ConsumerAdmin::get_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosNotifyFilter::FilterNotFound )`[protected]`

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_NS_ConsumerAdmin::get_proxy_supplier | ( | CosNotifyChannelAdmin::ProxyID proxy_id | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosNotifyChannelAdmin::ProxyNotFound )`[protected]`

CosNotification::QoSProperties * TAO_NS_ConsumerAdmin::get_qos | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

| Get the QoS Properties. Reimplemented from TAO_NS_Object.

void TAO_NS_ConsumerAdmin::lifetime_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[protected, virtual]`

CosNotifyFilter::MappingFilter_ptr TAO_NS_ConsumerAdmin::lifetime_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyChannelAdmin::EventChannel_ptr TAO_NS_ConsumerAdmin::MyChannel | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyChannelAdmin::AdminID TAO_NS_ConsumerAdmin::MyID | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

| = CosNotifyChannelAdmin::ConsumerAdmin methods.

CosNotifyChannelAdmin::InterFilterGroupOperator TAO_NS_ConsumerAdmin::MyOperator | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_NS_ConsumerAdmin::obtain_notification_pull_supplier | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )`[protected]`

CosNotifyChannelAdmin::ProxySupplier_ptr TAO_NS_ConsumerAdmin::obtain_notification_push_supplier | ( | CosNotifyChannelAdmin::ClientType | ctype,
|  | CosNotifyChannelAdmin::ProxyID_out proxy_id | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotifyChannelAdmin::AdminLimitExceeded )`[protected]`

CosEventChannelAdmin::ProxyPullSupplier_ptr TAO_NS_ConsumerAdmin::obtain_pull_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosEventChannelAdmin::ProxyPushSupplier_ptr TAO_NS_ConsumerAdmin::obtain_push_supplier | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

void TAO_NS_ConsumerAdmin::priority_filter | ( | CosNotifyFilter::MappingFilter_ptr | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException )`[protected, virtual]`

CosNotifyFilter::MappingFilter_ptr TAO_NS_ConsumerAdmin::priority_filter | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyChannelAdmin::ProxyIDSeq * TAO_NS_ConsumerAdmin::pull_suppliers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

CosNotifyChannelAdmin::ProxyIDSeq * TAO_NS_ConsumerAdmin::push_suppliers | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected]`

void TAO_NS_ConsumerAdmin::release | ( | void |  | ) | `[virtual]`

| TAO_NS_Destroy_Callback methods. Reimplemented from TAO_NS_Destroy_Callback.

void TAO_NS_ConsumerAdmin::remove_all_filters | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | throw ( CORBA::SystemException )`[protected, virtual]`

void TAO_NS_ConsumerAdmin::remove_filter | ( | CosNotifyFilter::FilterID filter | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosNotifyFilter::FilterNotFound )`[protected, virtual]`

PortableServer::Servant TAO_NS_ConsumerAdmin::servant | ( | void |  | ) | `[virtual]`

| Return servant. Reimplemented from TAO_NS_Object.

void TAO_NS_ConsumerAdmin::set_qos | ( | const CosNotification::QoSProperties &qos | ACE_ENV_ARG_DECL | ) | throw ( CORBA::SystemException , CosNotification::UnsupportedQoS )`[protected, virtual]`

| Set the QoS Properties. Reimplemented from TAO_NS_Object.

void TAO_NS_ConsumerAdmin::subscription_change | ( | const CosNotification::EventTypeSeq & | added,
|  | const CosNotification::EventTypeSeq &removed | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotifyComm::InvalidEventType )`[protected, virtual]`

void TAO_NS_ConsumerAdmin::validate_qos | ( | const CosNotification::QoSProperties & | required_qos,
|  | CosNotification::NamedPropertyRangeSeq_out | ACE_ENV_ARG_DECL
| ) | throw ( CORBA::SystemException , CosNotification::UnsupportedQoS )`[protected, virtual]`

## Friends And Related Function Documentation

friend class TAO_NS_Builder`[friend]`

| Reimplemented from TAO_NS_Object.

The documentation for this class was generated from the following files:

- ConsumerAdmin.h
- ConsumerAdmin.cpp